package dto

type RegisterReq struct {
	LoginReq

	NickName *string `json:"nickName"` // 昵称
	Avatar   *string `json:"avatar"`   // 头像
}

type SendResetPwdCodeReq struct {
	Email string `json:"email"` // 帐号
}

type ResetPwdReq struct {
	Account string `json:"account"` // 帐号

	Password string `json:"password"` // 密码

	Code string `json:"code"` // 验证码
}

type LoginReq struct {
	Account  *string `json:"account"`  // 帐号
	Password string  `json:"password"` // 密码
	Platform string  `json:"platform"` // 平台

	Email *string `json:"email"` // 邮箱
	Phone *string `json:"phone"` // 手机号码

	WxId *string `json:"wxId"` // 微信unionId
	QqId *string `json:"qqId"` // qqId

	GoogleId   *string `json:"googleId"`   // googleId
	FacebookId *string `json:"facebookId"` // facebookId

}

type UserLoginToken struct {
	Uid         uint64 `json:"uid"`
	AccessToken string `json:"accessToken"`
}

type FindUidByToken struct {
	AccessToken string `json:"accessToken"`
}
